Subject: RE: Our friend: Nutritional Yeast

From: [email-masked] (Jean P Nance)
Date: Fri, 18 Mar 1994 15:22:11 GMT

Yes, much cheese is created by a mold growing in milk which has 
been thickened with acid. Yeast plants are not a mold, but are
in the same very general plant group. Yeasts vary in flavor. Taste
baking yeast, it isn't either moldy or cheesy. Brewers yeast has
a different taste. It is possible to develop yeast strains that 
have various tastes, since a yeast cell divides in a matter of a
few hours, and various mutations occur. Nutritional yeast has been
selected as a strain that has a cheese like flavor. If you ar 
vegan and don't eat cheese, or if you must avoid cheese because of
the fat and cholesterol, nutritional yeast is a great way to get
a cheese-like flavor, while providing good protein, vita mins and
minerals.
--